%define name	gnet2
%define	version	2.0.8
%define	release	%mkrel 1

%define api_version 2.0
%define major 0
%define libname %mklibname gnet-%{api_version}_ %{major}
%define develname %mklibname gnet-%{api_version} -d

Summary:	A network library
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.gnetlibrary.org
License:	LGPL
Source0:	gnet-%{version}.tar.bz2
Group:		System/Libraries
BuildRequires:	glib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

%package -n	%{libname}
Summary:	Libgnet, a network library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

%package -n	%{develname}
Summary:	Header files for the Gnet library
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgnet-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname gnet-%{api_version}_ 0 -d}

%description -n	%{develname}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.
This package allows you to develop applications that use the Gnet
library.

%prep

%setup -q -n gnet-%{version}
chmod 755 doc/html

%build
export CFLAGS="%{optflags} -fPIC"

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/libgnet%{api_version}-dev
rm -fr %{buildroot}%{_datadir}/gtk-doc/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING doc/html
%{_includedir}/gnet-2.0
%{_datadir}/aclocal/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/gnet-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc




%changelog
* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.0.8-1mdv2008.1
+ Revision: 162043
- new version

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.7-4mdv2008.1
+ Revision: 150112
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.com> 2.0.7-3mdv2008.0
+ Revision: 54155
- rebuild for 2008
- new devel policy


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 18:20:25 (53607)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 18:18:24 (53606)
Import gnet2

* Tue Jul 26 2005 Olivier Thauvin <nanardon@mandriva.org> 2.0.7-1mdk
- 2.0.7

* Thu Jun 10 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.5-3mdk
- really fix buildrequires

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.5-2mdk
- fix buildrequires

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.5-1mdk 
- 2.0.5
- misc spec file fixes

